<?php
require_once 'application/class/class_panier.php';

global $connecteur;

$action = getValue('action');
$ancrage = getValue('ancrage');
$session = getValue('session');
$moduleProc = getValue('moduleProc');
$moduleSrm = getValue('moduleSrm');
$onglet = getValue('onglet');
$idAction = getValue('idAction');
$tdb = 'application/xsl/TDB_operationnel.xsl';

switch ($action) {
    case 'RefreshCompteurTB': // Pour la mise a jour du menu
        echo Menu::refreshDocument(TypeSuivi::DOA);
        break;
    
    case 'ChoiOxa':
        $array = Menu::BuildXmlBurger($session, $moduleProc, $moduleSrm, $action);
        $array['ide']['!action'] = & $action;
        
        $genXsl = new GenXslt(true);
        echo $genXsl->XslHtml($tdb, $array);
        
        break;
    
    case 'AfficherTabBordOp':
        $mode = 'L';
        $array = TDB_Operationnel::BuildXmlAccueil($mode);
        $array['ide']['!action'] = $action;
        $array['ide']['!onglet'] = $onglet;
        
        $genXsl = new GenXslt(true);
        Affichage::innerHTMLPointeur($ancrage, $genXsl->XslHtml($tdb, $array));
        
        break;
    
    case 'EditerAction':
        $mode = 'LE';
        $array = TDB_Operationnel::BuildXmlAccueil($mode, $idAction);
        $array['ide']['!action'] = $action;
        
        $genXsl = new GenXslt(true);
        echo $genXsl->XslHtml($tdb, $array);
        
        break;
    
    case 'ModifierAction':
        $resultat = TDB_Operationnel::EnregistrerAction();
        
        if ('' !== $resultat['messageErreur']) {
            echo 'alert("' . $resultat['messageErreur'] . '")';
        } else {
            // Pas d'erreur : on ferme la popup et on rafraîchit la liste des données
            echo 'window.closePopup();';
            echo 'parent.CallUrl(\'TDB_Operationnel.php?action=AfficherTabBordOp&ancrage=men_gene\');';
        }
        break;
    
    case 'RedirectionOxaSrm':
        echo 'window.closePopup();';
        echo 'parent.CallUrl(\'TDB_Operationnel.php?action=AfficherOxaSrm\');';
        break;
    
    case 'RedirectionOxaProc':
        echo 'window.closePopup();';
        echo 'parent.CallUrl(\'TDB_Operationnel.php?action=AfficherOxaProc\');';
        break;
    
    case 'AfficherOxaProc':
        echo 'window.location=\'session_ipad.php\';';
        break;
    
    case 'AfficherOxaSrm':
        echo 'window.location=\'session_srm.php\';';
        break;
}

$connecteur->disconnect();
exit();